signal.h File Reference
`#include <core/connection.h>`
`#include <functional>`
`#include <iostream>`
`#include <list>`
`#include <mutex>`
`#include <set>`
Include dependency graph for signal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | core::Signal< Arguments >
| A signal class that observers can subscribe to. More...
class | core::Signal< void >
| A signal class that observers can subscribe to, template specialization for signals without arguments. More...

## Namespaces

| core